## org.eclipse.emf.edit.ui.action
Class LoadResourceAction.LoadResourceDialog

    java.lang.Object
      org.eclipse.jface.window.Window
          org.eclipse.jface.dialogs.Dialog
              org.eclipse.emf.common.ui.dialogs.ResourceDialog
                  org.eclipse.emf.edit.ui.action.LoadResourceAction.LoadResourceDialog

All Implemented Interfaces:
  IShellProvider

Direct Known Subclasses:
  EcoreActionBarContributor.ExtendedLoadResourceAction.ExtendedLoadResourceDialog

Enclosing class:
  LoadResourceAction

    public static class LoadResourceAction.LoadResourceDialog

extends ResourceDialog

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.jface.window.Window
`Window.IExceptionHandler`

Field Summary
`protected EditingDomain` `domain`

Fields inherited from class org.eclipse.emf.common.ui.dialogs.ResourceDialog
`CONTROL_OFFSET, style, title, uriField, uriText`

Fields inherited from class org.eclipse.jface.dialogs.Dialog
`blockedHandler, buttonBar, DIALOG_DEFAULT_BOUNDS, DIALOG_PERSISTLOCATION, DIALOG_PERSISTSIZE, dialogArea, DLG_IMG_ERROR, DLG_IMG_HELP, DLG_IMG_INFO, DLG_IMG_MESSAGE_ERROR, DLG_IMG_MESSAGE_INFO, DLG_IMG_MESSAGE_WARNING, DLG_IMG_QUESTION, DLG_IMG_WARNING, ELLIPSIS`

Fields inherited from class org.eclipse.jface.window.Window
`CANCEL, OK`

Constructor Summary
`LoadResourceAction.LoadResourceDialog(Shell parent)`
`LoadResourceAction.LoadResourceDialog(Shell parent, EditingDomain domain)`

Method Summary
`protected boolean` `processResource(Resource resource)`
`protected boolean` `processResources()` Called by `ResourceDialog.okPressed()` to handle the specified URIs, this implementation simply returns true, allowing the dialog to close.

Methods inherited from class org.eclipse.emf.common.ui.dialogs.ResourceDialog
`configureShell, createDialogArea, getURIs, getURIText, isMulti, isSave, normalizeStyle, okPressed, prepareBrowseFileSystemButton, prepareBrowseWorkspaceButton`

Methods inherited from class org.eclipse.jface.dialogs.Dialog

`applyDialogFont, buttonPressed, cancelPressed, close, convertHeightInCharsToPixels, convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, convertWidthInCharsToPixels, create, createButton, createButtonBar, createButtonsForButtonBar, createContents, dialogFontIsDefault, getBlockedHandler, getButton, getButtonBar, getCancelButton, getDialogArea, getDialogBoundsSettings, getDialogBoundsStrategy, getImage, getInitialLocation, getInitialSize, getOKButton, initializeBounds, initializeDialogUnits, isResizable, setBlockedHandler, setButtonLayoutData, setButtonLayoutFormData, shortenText`

Methods inherited from class org.eclipse.jface.window.Window

`canHandleShellCloseEvent, constrainShellSize, createShell, getConstrainedShellBounds, getContents, getDefaultImage, getDefaultImages, getDefaultOrientation, getLayout, getParentShell, getReturnCode, getShell, getShellListener, getShellStyle, getWindowManager, handleFontChange, handleShellCloseEvent, open, setBlockOnOpen, setDefaultImage, setDefaultImages, setDefaultModalParent, setDefaultOrientation, setExceptionHandler, setParentShell, setReturnCode, setShellStyle, setWindowManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### domain

    protected EditingDomain domain

Constructor Detail

### LoadResourceAction.LoadResourceDialog

    public LoadResourceAction.LoadResourceDialog(Shell parent)

### LoadResourceAction.LoadResourceDialog

    public LoadResourceAction.LoadResourceDialog(Shell parent,
                                                 EditingDomain domain)

Method Detail

### processResources

    protected boolean processResources()

  Description copied from class: `ResourceDialog`
  Called by `ResourceDialog.okPressed()` to handle the specified URIs, this implementation simply returns true, allowing the dialog to close. Subclasses can override this method to load, save, or otherwise process resources, and based on this processing, to optionally prevent the dialog from being closed if the URIs are invalid.

  Overrides:
    `processResources` in class `ResourceDialog`
  Returns:
    `true` if the dialog can be closed, `false` if URI(s) must be re-entered

### processResource

    protected boolean processResource(Resource resource)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.